## org.apache.taglibs.standard.tag.common.sql
Class SetDataSourceTagSupport

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          org.apache.taglibs.standard.tag.common.sql.SetDataSourceTagSupport

All Implemented Interfaces:
  Serializable, IterationTag, JspTag, Tag

Direct Known Subclasses:
  SetDataSourceTag, SetDataSourceTag

    public class SetDataSourceTagSupport

extends TagSupport

Tag handler for <SetDataSource> in JSTL, used to create a simple DataSource for prototyping.

Author:
  Hans Bergsten, Justyna Horwat
See Also:
  Serialized Form

Field Summary
`protected Object` `dataSource`
`protected boolean` `dataSourceSpecified`
`protected String` `driverClassName`
`protected String` `jdbcURL`
`protected String` `password`
`protected String` `userName`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`SetDataSourceTagSupport()`

Method Summary
`int` `doStartTag()` Default processing of the start tag, returning SKIP_BODY.
`void` `release()` Release state.
`void` `setScope(String scope)` Setter method for the scope of the variable to hold the result.
`void` `setVar(String var)`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### dataSource

    protected Object dataSource

### dataSourceSpecified

    protected boolean dataSourceSpecified

### jdbcURL

    protected String jdbcURL

### driverClassName

    protected String driverClassName

### userName

    protected String userName

### password

    protected String password

Constructor Detail

### SetDataSourceTagSupport

    public SetDataSourceTagSupport()

Method Detail

### setScope

    public void setScope(String scope)

  Setter method for the scope of the variable to hold the result.

### setVar

    public void setVar(String var)

### doStartTag

    public int doStartTag()
                   throws JspException

  Description copied from class: `TagSupport`
  Default processing of the start tag, returning SKIP_BODY.

  Specified by:
    `doStartTag` in interface `Tag`
  Overrides:
    `doStartTag` in class `TagSupport`
  Returns:
    SKIP_BODY
  Throws:
    `JspException` - if an error occurs while processing this tag
  See Also:
    `Tag.doStartTag()`

### release

    public void release()

  Description copied from class: `TagSupport`
  Release state.

  Specified by:
    `release` in interface `Tag`
  Overrides:
    `release` in class `TagSupport`
  See Also:
    `Tag.release()`

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.